

if (!args.sourceItem?.system?.isMelee) 
{
    let choice = await foundry.applications.api.DialogV2.confirm({ window: { title: this.effect.name }, content: `<p><strong>${this.effect.name}</strong> : S'agit-il d'une attaque à distance ou magique provenant de l'extérieur du Dôme ?</p>` })

    if (choice) 
    {
        args.ward = 6;
    }
}
